# Interface BinarySpec

All Superinterfaces:
  `Binary, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, ModelElement, Named`

All Known Subinterfaces:
  `ApplicationBinarySpec, CUnitTestSuiteBinarySpec, GoogleTestTestSuiteBinarySpec, LibraryBinarySpec, NativeBinarySpec, NativeExecutableBinarySpec, NativeLibraryBinarySpec, NativeTestSuiteBinarySpec, SharedLibraryBinarySpec, StaticLibraryBinarySpec, TestSuiteBinarySpec`

All Known Implementing Classes:
  `BaseBinarySpec`

@Incubating @Deprecated public interface BinarySpec extends BuildableComponentSpec, CheckableComponentSpec, Binary
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
Represents a binary that is the result of building a component.

Since:
  2.2

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DomainObjectSet<LanguageSourceSet>`
  `getInputs()`
  Deprecated.
  Returns all inputs of the binary.
  `ModelMap<LanguageSourceSet>`
  `getSources()`
  Deprecated.
  The sources owned by this binary.
  `BinaryTasksCollection`
  `getTasks()`
  Deprecated.
  The set of tasks associated with this binary.
  `boolean`
  `isBuildable()`
  Deprecated.
  Can this binary be built in the current environment?

  ### Methods inherited from interface Binary

  `getDisplayName`

  ### Methods inherited from interface Buildable

  `getBuildDependencies`

  ### Methods inherited from interface BuildableComponentSpec

  `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

  ### Methods inherited from interface CheckableComponentSpec

  `checkedBy, getCheckTask, setCheckTask`

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName, getName`

- ## Method Details

  - ### isBuildable

    boolean isBuildable()
    Deprecated.
    Can this binary be built in the current environment?
    Since:
      2.2

  - ### getSources

    ModelMap<LanguageSourceSet> getSources()
    Deprecated.
    The sources owned by this binary.
    Returns:
      the sources owned by the binary.
    Since:
      2.6

  - ### getInputs

    DomainObjectSet<LanguageSourceSet> getInputs()
    Deprecated.
    Returns all inputs of the binary. This includes source sets owned by the binary, and other source sets created elsewhere (e.g. inherited from the binary's component).
    Returns:
      all inputs of the binary.
    Since:
      2.6

  - ### getTasks

    BinaryTasksCollection getTasks()
    Deprecated.
    The set of tasks associated with this binary.
    Since:
      2.2